#pragma once
#include <map>
struct Fish_RankPointParamData
{
	//编号
	int mID;
	//房间号
	int mRoomID;
	//排行类型
	int mRankType;
	//閥值类型
	int mType;
	//閥值
	int mThresholds;
	//加成(0-10000)
	int maddition;
	//最大值
	int mMax;
};

class Fish_RankPointParam
{
public:
private:
	static std::auto_ptr<Fish_RankPointParam> msSingleton;
public:
	int GetCount();
	const Fish_RankPointParamData* GetData(int ID);
	const std::map<int, Fish_RankPointParamData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_RankPointParam* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_RankPointParamData> mMapData;
};
